<?php
/**
* Additional Woocommerce Settings.
*
* @package Home Construction Builder
*/

$home_construction_builder_default = home_construction_builder_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'home_construction_builder_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'home-construction-builder' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'home_construction_builder_theme_option_panel',
	)
);

	$wp_customize->add_setting('home_construction_builder_per_columns',
		array(
		'default'           => $home_construction_builder_default['home_construction_builder_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'home_construction_builder_sanitize_number_range',
		)
	);
	$wp_customize->add_control('home_construction_builder_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'home-construction-builder'),
		'section'     => 'home_construction_builder_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('home_construction_builder_product_per_page',
		array(
		'default'           => $home_construction_builder_default['home_construction_builder_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'home_construction_builder_sanitize_number_range',
		)
	);
	$wp_customize->add_control('home_construction_builder_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'home-construction-builder'),
		'section'     => 'home_construction_builder_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('home_construction_builder_show_hide_related_product',
    array(
        'default' => $home_construction_builder_default['home_construction_builder_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'home_construction_builder_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('home_construction_builder_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'home-construction-builder'),
	        'section' => 'home_construction_builder_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('home_construction_builder_custom_related_products_number',
		array(
		'default'           => $home_construction_builder_default['home_construction_builder_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'home_construction_builder_sanitize_number_range',
		)
	);
	$wp_customize->add_control('home_construction_builder_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'home-construction-builder'),
		'section'     => 'home_construction_builder_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('home_construction_builder_custom_related_products_number_per_row',
		array(
		'default'           => $home_construction_builder_default['home_construction_builder_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'home_construction_builder_sanitize_number_range',
		)
	);
	$wp_customize->add_control('home_construction_builder_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'home-construction-builder'),
		'section'     => 'home_construction_builder_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);